Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network96.149.96.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
96.149.96.0
Broadcast address
96.149.127.255
First usable
96.149.96.1
Last usable
96.149.127.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 60956000 · Integer 1620402176 to 1620410367
Reverse DNS zones
96.149.96.in-addr.arpa
97.149.96.in-addr.arpa
98.149.96.in-addr.arpa
99.149.96.in-addr.arpa
100.149.96.in-addr.arpa
101.149.96.in-addr.arpa
102.149.96.in-addr.arpa
103.149.96.in-addr.arpa
104.149.96.in-addr.arpa
105.149.96.in-addr.arpa
106.149.96.in-addr.arpa
107.149.96.in-addr.arpa
108.149.96.in-addr.arpa
109.149.96.in-addr.arpa
110.149.96.in-addr.arpa
111.149.96.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100000.10010101.01100000.0000000096.149.96.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01100000.10010101.01100000.0000000096.149.96.0
Broadcast01100000.10010101.01111111.1111111196.149.127.255
Split into smaller subnets/31

96.149.96.0/19 makes 4,096 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
196.149.96.0/3196.149.96.0 to 96.149.96.1—2
296.149.96.2/3196.149.96.2 to 96.149.96.3—2
396.149.96.4/3196.149.96.4 to 96.149.96.5—2
496.149.96.6/3196.149.96.6 to 96.149.96.7—2
596.149.96.8/3196.149.96.8 to 96.149.96.9—2
696.149.96.10/3196.149.96.10 to 96.149.96.11—2
796.149.96.12/3196.149.96.12 to 96.149.96.13—2
896.149.96.14/3196.149.96.14 to 96.149.96.15—2
996.149.96.16/3196.149.96.16 to 96.149.96.17—2
1096.149.96.18/3196.149.96.18 to 96.149.96.19—2
1196.149.96.20/3196.149.96.20 to 96.149.96.21—2
1296.149.96.22/3196.149.96.22 to 96.149.96.23—2
1396.149.96.24/3196.149.96.24 to 96.149.96.25—2
1496.149.96.26/3196.149.96.26 to 96.149.96.27—2
1596.149.96.28/3196.149.96.28 to 96.149.96.29—2
1696.149.96.30/3196.149.96.30 to 96.149.96.31—2
1796.149.96.32/3196.149.96.32 to 96.149.96.33—2
1896.149.96.34/3196.149.96.34 to 96.149.96.35—2
1996.149.96.36/3196.149.96.36 to 96.149.96.37—2
2096.149.96.38/3196.149.96.38 to 96.149.96.39—2
2196.149.96.40/3196.149.96.40 to 96.149.96.41—2
2296.149.96.42/3196.149.96.42 to 96.149.96.43—2
2396.149.96.44/3196.149.96.44 to 96.149.96.45—2
2496.149.96.46/3196.149.96.46 to 96.149.96.47—2
2596.149.96.48/3196.149.96.48 to 96.149.96.49—2
2696.149.96.50/3196.149.96.50 to 96.149.96.51—2
2796.149.96.52/3196.149.96.52 to 96.149.96.53—2
2896.149.96.54/3196.149.96.54 to 96.149.96.55—2
2996.149.96.56/3196.149.96.56 to 96.149.96.57—2
3096.149.96.58/3196.149.96.58 to 96.149.96.59—2
3196.149.96.60/3196.149.96.60 to 96.149.96.61—2
3296.149.96.62/3196.149.96.62 to 96.149.96.63—2
3396.149.96.64/3196.149.96.64 to 96.149.96.65—2
3496.149.96.66/3196.149.96.66 to 96.149.96.67—2
3596.149.96.68/3196.149.96.68 to 96.149.96.69—2
3696.149.96.70/3196.149.96.70 to 96.149.96.71—2
3796.149.96.72/3196.149.96.72 to 96.149.96.73—2
3896.149.96.74/3196.149.96.74 to 96.149.96.75—2
3996.149.96.76/3196.149.96.76 to 96.149.96.77—2
4096.149.96.78/3196.149.96.78 to 96.149.96.79—2
4196.149.96.80/3196.149.96.80 to 96.149.96.81—2
4296.149.96.82/3196.149.96.82 to 96.149.96.83—2
4396.149.96.84/3196.149.96.84 to 96.149.96.85—2
4496.149.96.86/3196.149.96.86 to 96.149.96.87—2
4596.149.96.88/3196.149.96.88 to 96.149.96.89—2
4696.149.96.90/3196.149.96.90 to 96.149.96.91—2
4796.149.96.92/3196.149.96.92 to 96.149.96.93—2
4896.149.96.94/3196.149.96.94 to 96.149.96.95—2
4996.149.96.96/3196.149.96.96 to 96.149.96.97—2
5096.149.96.98/3196.149.96.98 to 96.149.96.99—2
5196.149.96.100/3196.149.96.100 to 96.149.96.101—2
5296.149.96.102/3196.149.96.102 to 96.149.96.103—2
5396.149.96.104/3196.149.96.104 to 96.149.96.105—2
5496.149.96.106/3196.149.96.106 to 96.149.96.107—2
5596.149.96.108/3196.149.96.108 to 96.149.96.109—2
5696.149.96.110/3196.149.96.110 to 96.149.96.111—2
5796.149.96.112/3196.149.96.112 to 96.149.96.113—2
5896.149.96.114/3196.149.96.114 to 96.149.96.115—2
5996.149.96.116/3196.149.96.116 to 96.149.96.117—2
6096.149.96.118/3196.149.96.118 to 96.149.96.119—2
6196.149.96.120/3196.149.96.120 to 96.149.96.121—2
6296.149.96.122/3196.149.96.122 to 96.149.96.123—2
6396.149.96.124/3196.149.96.124 to 96.149.96.125—2
6496.149.96.126/3196.149.96.126 to 96.149.96.127—2
6596.149.96.128/3196.149.96.128 to 96.149.96.129—2
6696.149.96.130/3196.149.96.130 to 96.149.96.131—2
6796.149.96.132/3196.149.96.132 to 96.149.96.133—2
6896.149.96.134/3196.149.96.134 to 96.149.96.135—2
6996.149.96.136/3196.149.96.136 to 96.149.96.137—2
7096.149.96.138/3196.149.96.138 to 96.149.96.139—2
7196.149.96.140/3196.149.96.140 to 96.149.96.141—2
7296.149.96.142/3196.149.96.142 to 96.149.96.143—2
7396.149.96.144/3196.149.96.144 to 96.149.96.145—2
7496.149.96.146/3196.149.96.146 to 96.149.96.147—2
7596.149.96.148/3196.149.96.148 to 96.149.96.149—2
7696.149.96.150/3196.149.96.150 to 96.149.96.151—2
7796.149.96.152/3196.149.96.152 to 96.149.96.153—2
7896.149.96.154/3196.149.96.154 to 96.149.96.155—2
7996.149.96.156/3196.149.96.156 to 96.149.96.157—2
8096.149.96.158/3196.149.96.158 to 96.149.96.159—2
8196.149.96.160/3196.149.96.160 to 96.149.96.161—2
8296.149.96.162/3196.149.96.162 to 96.149.96.163—2
8396.149.96.164/3196.149.96.164 to 96.149.96.165—2
8496.149.96.166/3196.149.96.166 to 96.149.96.167—2
8596.149.96.168/3196.149.96.168 to 96.149.96.169—2
8696.149.96.170/3196.149.96.170 to 96.149.96.171—2
8796.149.96.172/3196.149.96.172 to 96.149.96.173—2
8896.149.96.174/3196.149.96.174 to 96.149.96.175—2
8996.149.96.176/3196.149.96.176 to 96.149.96.177—2
9096.149.96.178/3196.149.96.178 to 96.149.96.179—2
9196.149.96.180/3196.149.96.180 to 96.149.96.181—2
9296.149.96.182/3196.149.96.182 to 96.149.96.183—2
9396.149.96.184/3196.149.96.184 to 96.149.96.185—2
9496.149.96.186/3196.149.96.186 to 96.149.96.187—2
9596.149.96.188/3196.149.96.188 to 96.149.96.189—2
9696.149.96.190/3196.149.96.190 to 96.149.96.191—2
9796.149.96.192/3196.149.96.192 to 96.149.96.193—2
9896.149.96.194/3196.149.96.194 to 96.149.96.195—2
9996.149.96.196/3196.149.96.196 to 96.149.96.197—2
10096.149.96.198/3196.149.96.198 to 96.149.96.199—2
10196.149.96.200/3196.149.96.200 to 96.149.96.201—2
10296.149.96.202/3196.149.96.202 to 96.149.96.203—2
10396.149.96.204/3196.149.96.204 to 96.149.96.205—2
10496.149.96.206/3196.149.96.206 to 96.149.96.207—2
10596.149.96.208/3196.149.96.208 to 96.149.96.209—2
10696.149.96.210/3196.149.96.210 to 96.149.96.211—2
10796.149.96.212/3196.149.96.212 to 96.149.96.213—2
10896.149.96.214/3196.149.96.214 to 96.149.96.215—2
10996.149.96.216/3196.149.96.216 to 96.149.96.217—2
11096.149.96.218/3196.149.96.218 to 96.149.96.219—2
11196.149.96.220/3196.149.96.220 to 96.149.96.221—2
11296.149.96.222/3196.149.96.222 to 96.149.96.223—2
11396.149.96.224/3196.149.96.224 to 96.149.96.225—2
11496.149.96.226/3196.149.96.226 to 96.149.96.227—2
11596.149.96.228/3196.149.96.228 to 96.149.96.229—2
11696.149.96.230/3196.149.96.230 to 96.149.96.231—2
11796.149.96.232/3196.149.96.232 to 96.149.96.233—2
11896.149.96.234/3196.149.96.234 to 96.149.96.235—2
11996.149.96.236/3196.149.96.236 to 96.149.96.237—2
12096.149.96.238/3196.149.96.238 to 96.149.96.239—2
12196.149.96.240/3196.149.96.240 to 96.149.96.241—2
12296.149.96.242/3196.149.96.242 to 96.149.96.243—2
12396.149.96.244/3196.149.96.244 to 96.149.96.245—2
12496.149.96.246/3196.149.96.246 to 96.149.96.247—2
12596.149.96.248/3196.149.96.248 to 96.149.96.249—2
12696.149.96.250/3196.149.96.250 to 96.149.96.251—2
12796.149.96.252/3196.149.96.252 to 96.149.96.253—2
12896.149.96.254/3196.149.96.254 to 96.149.96.255—2
12996.149.97.0/3196.149.97.0 to 96.149.97.1—2
13096.149.97.2/3196.149.97.2 to 96.149.97.3—2
13196.149.97.4/3196.149.97.4 to 96.149.97.5—2
13296.149.97.6/3196.149.97.6 to 96.149.97.7—2
13396.149.97.8/3196.149.97.8 to 96.149.97.9—2
13496.149.97.10/3196.149.97.10 to 96.149.97.11—2
13596.149.97.12/3196.149.97.12 to 96.149.97.13—2
13696.149.97.14/3196.149.97.14 to 96.149.97.15—2
13796.149.97.16/3196.149.97.16 to 96.149.97.17—2
13896.149.97.18/3196.149.97.18 to 96.149.97.19—2
13996.149.97.20/3196.149.97.20 to 96.149.97.21—2
14096.149.97.22/3196.149.97.22 to 96.149.97.23—2
14196.149.97.24/3196.149.97.24 to 96.149.97.25—2
14296.149.97.26/3196.149.97.26 to 96.149.97.27—2
14396.149.97.28/3196.149.97.28 to 96.149.97.29—2
14496.149.97.30/3196.149.97.30 to 96.149.97.31—2
14596.149.97.32/3196.149.97.32 to 96.149.97.33—2
14696.149.97.34/3196.149.97.34 to 96.149.97.35—2
14796.149.97.36/3196.149.97.36 to 96.149.97.37—2
14896.149.97.38/3196.149.97.38 to 96.149.97.39—2
14996.149.97.40/3196.149.97.40 to 96.149.97.41—2
15096.149.97.42/3196.149.97.42 to 96.149.97.43—2
15196.149.97.44/3196.149.97.44 to 96.149.97.45—2
15296.149.97.46/3196.149.97.46 to 96.149.97.47—2
15396.149.97.48/3196.149.97.48 to 96.149.97.49—2
15496.149.97.50/3196.149.97.50 to 96.149.97.51—2
15596.149.97.52/3196.149.97.52 to 96.149.97.53—2
15696.149.97.54/3196.149.97.54 to 96.149.97.55—2
15796.149.97.56/3196.149.97.56 to 96.149.97.57—2
15896.149.97.58/3196.149.97.58 to 96.149.97.59—2
15996.149.97.60/3196.149.97.60 to 96.149.97.61—2
16096.149.97.62/3196.149.97.62 to 96.149.97.63—2
16196.149.97.64/3196.149.97.64 to 96.149.97.65—2
16296.149.97.66/3196.149.97.66 to 96.149.97.67—2
16396.149.97.68/3196.149.97.68 to 96.149.97.69—2
16496.149.97.70/3196.149.97.70 to 96.149.97.71—2
16596.149.97.72/3196.149.97.72 to 96.149.97.73—2
16696.149.97.74/3196.149.97.74 to 96.149.97.75—2
16796.149.97.76/3196.149.97.76 to 96.149.97.77—2
16896.149.97.78/3196.149.97.78 to 96.149.97.79—2
16996.149.97.80/3196.149.97.80 to 96.149.97.81—2
17096.149.97.82/3196.149.97.82 to 96.149.97.83—2
17196.149.97.84/3196.149.97.84 to 96.149.97.85—2
17296.149.97.86/3196.149.97.86 to 96.149.97.87—2
17396.149.97.88/3196.149.97.88 to 96.149.97.89—2
17496.149.97.90/3196.149.97.90 to 96.149.97.91—2
17596.149.97.92/3196.149.97.92 to 96.149.97.93—2
17696.149.97.94/3196.149.97.94 to 96.149.97.95—2
17796.149.97.96/3196.149.97.96 to 96.149.97.97—2
17896.149.97.98/3196.149.97.98 to 96.149.97.99—2
17996.149.97.100/3196.149.97.100 to 96.149.97.101—2
18096.149.97.102/3196.149.97.102 to 96.149.97.103—2
18196.149.97.104/3196.149.97.104 to 96.149.97.105—2
18296.149.97.106/3196.149.97.106 to 96.149.97.107—2
18396.149.97.108/3196.149.97.108 to 96.149.97.109—2
18496.149.97.110/3196.149.97.110 to 96.149.97.111—2
18596.149.97.112/3196.149.97.112 to 96.149.97.113—2
18696.149.97.114/3196.149.97.114 to 96.149.97.115—2
18796.149.97.116/3196.149.97.116 to 96.149.97.117—2
18896.149.97.118/3196.149.97.118 to 96.149.97.119—2
18996.149.97.120/3196.149.97.120 to 96.149.97.121—2
19096.149.97.122/3196.149.97.122 to 96.149.97.123—2
19196.149.97.124/3196.149.97.124 to 96.149.97.125—2
19296.149.97.126/3196.149.97.126 to 96.149.97.127—2
19396.149.97.128/3196.149.97.128 to 96.149.97.129—2
19496.149.97.130/3196.149.97.130 to 96.149.97.131—2
19596.149.97.132/3196.149.97.132 to 96.149.97.133—2
19696.149.97.134/3196.149.97.134 to 96.149.97.135—2
19796.149.97.136/3196.149.97.136 to 96.149.97.137—2
19896.149.97.138/3196.149.97.138 to 96.149.97.139—2
19996.149.97.140/3196.149.97.140 to 96.149.97.141—2
20096.149.97.142/3196.149.97.142 to 96.149.97.143—2
20196.149.97.144/3196.149.97.144 to 96.149.97.145—2
20296.149.97.146/3196.149.97.146 to 96.149.97.147—2
20396.149.97.148/3196.149.97.148 to 96.149.97.149—2
20496.149.97.150/3196.149.97.150 to 96.149.97.151—2
20596.149.97.152/3196.149.97.152 to 96.149.97.153—2
20696.149.97.154/3196.149.97.154 to 96.149.97.155—2
20796.149.97.156/3196.149.97.156 to 96.149.97.157—2
20896.149.97.158/3196.149.97.158 to 96.149.97.159—2
20996.149.97.160/3196.149.97.160 to 96.149.97.161—2
21096.149.97.162/3196.149.97.162 to 96.149.97.163—2
21196.149.97.164/3196.149.97.164 to 96.149.97.165—2
21296.149.97.166/3196.149.97.166 to 96.149.97.167—2
21396.149.97.168/3196.149.97.168 to 96.149.97.169—2
21496.149.97.170/3196.149.97.170 to 96.149.97.171—2
21596.149.97.172/3196.149.97.172 to 96.149.97.173—2
21696.149.97.174/3196.149.97.174 to 96.149.97.175—2
21796.149.97.176/3196.149.97.176 to 96.149.97.177—2
21896.149.97.178/3196.149.97.178 to 96.149.97.179—2
21996.149.97.180/3196.149.97.180 to 96.149.97.181—2
22096.149.97.182/3196.149.97.182 to 96.149.97.183—2
22196.149.97.184/3196.149.97.184 to 96.149.97.185—2
22296.149.97.186/3196.149.97.186 to 96.149.97.187—2
22396.149.97.188/3196.149.97.188 to 96.149.97.189—2
22496.149.97.190/3196.149.97.190 to 96.149.97.191—2
22596.149.97.192/3196.149.97.192 to 96.149.97.193—2
22696.149.97.194/3196.149.97.194 to 96.149.97.195—2
22796.149.97.196/3196.149.97.196 to 96.149.97.197—2
22896.149.97.198/3196.149.97.198 to 96.149.97.199—2
22996.149.97.200/3196.149.97.200 to 96.149.97.201—2
23096.149.97.202/3196.149.97.202 to 96.149.97.203—2
23196.149.97.204/3196.149.97.204 to 96.149.97.205—2
23296.149.97.206/3196.149.97.206 to 96.149.97.207—2
23396.149.97.208/3196.149.97.208 to 96.149.97.209—2
23496.149.97.210/3196.149.97.210 to 96.149.97.211—2
23596.149.97.212/3196.149.97.212 to 96.149.97.213—2
23696.149.97.214/3196.149.97.214 to 96.149.97.215—2
23796.149.97.216/3196.149.97.216 to 96.149.97.217—2
23896.149.97.218/3196.149.97.218 to 96.149.97.219—2
23996.149.97.220/3196.149.97.220 to 96.149.97.221—2
24096.149.97.222/3196.149.97.222 to 96.149.97.223—2
24196.149.97.224/3196.149.97.224 to 96.149.97.225—2
24296.149.97.226/3196.149.97.226 to 96.149.97.227—2
24396.149.97.228/3196.149.97.228 to 96.149.97.229—2
24496.149.97.230/3196.149.97.230 to 96.149.97.231—2
24596.149.97.232/3196.149.97.232 to 96.149.97.233—2
24696.149.97.234/3196.149.97.234 to 96.149.97.235—2
24796.149.97.236/3196.149.97.236 to 96.149.97.237—2
24896.149.97.238/3196.149.97.238 to 96.149.97.239—2
24996.149.97.240/3196.149.97.240 to 96.149.97.241—2
25096.149.97.242/3196.149.97.242 to 96.149.97.243—2
25196.149.97.244/3196.149.97.244 to 96.149.97.245—2
25296.149.97.246/3196.149.97.246 to 96.149.97.247—2
25396.149.97.248/3196.149.97.248 to 96.149.97.249—2
25496.149.97.250/3196.149.97.250 to 96.149.97.251—2
25596.149.97.252/3196.149.97.252 to 96.149.97.253—2
25696.149.97.254/3196.149.97.254 to 96.149.97.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses